<?php
$db_file = __DIR__.DIRECTORY_SEPARATOR."yubin.db";
$data = array();
if(file_exists($db_file) && isset($_GET["zipcode"])){ 
    $pdo = new PDO("sqlite:".$db_file);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $sql = "SELECT zipcode, addr1, addr2, addr3 FROM dat WHERE zipcode = ?";
    //https://www.post.japanpost.jp/zipcode/dl/readme.html
    //$sql.= " AND flag10 = 0"; //10. 一町域が二以上の郵便番号で表される場合の表示　（注3）　（「1」は該当、「0」は該当せず）
    //$sql.= " AND flag11 = 0"; //11. 小字毎に番地が起番されている町域の表示　（注4）　（「1」は該当、「0」は該当せず）
    //$sql.= " AND flag12 = 0"; //12. 丁目を有する町域の場合の表示　（「1」は該当、「0」は該当せず）
    //$sql.= " AND flag13 = 0"; //13. 一つの郵便番号で二以上の町域を表す場合の表示　（注5）　（「1」は該当、「0」は該当せず）
    //$sql.= " AND flag14 = 0"; //14. 更新の表示（注6）（「0」は変更なし、「1」は変更あり、「2」廃止（廃止データのみ使用））
    //$sql.= " AND flag15 = 0"; //15. 変更理由　（「0」は変更なし、「1」市政・区政・町政・分区・政令指定都市施行、「2」住居表示の実施、「3」区画整理、「4」郵便区調整等、「5」訂正、「6」廃止（廃止データのみ使用））

    $zipcode = str_replace('-', '', trim($_GET["zipcode"]));
    $params = array($zipcode);

    $stmt = $pdo->prepare($sql.";");
    $stmt->execute($params);
    $stmt->setFetchMode(\PDO::FETCH_ASSOC);
    $data = $stmt->fetchAll();
}

$find = !empty($data);
http_response_code(200);
header("Content-type: application/json; charset='utf-8'");
echo json_encode(["find"=>$find, "data"=>$data]);
exit();
?>